## node-crc 4.3.2

=== tests/pycrc/doc/Makefile ===
XSLTPROC		= xsltproc
XSLTPARAM		= --nonet --novalid
HTML_STYLESHEET	= /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl
MAN_STYLESHEET	= /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

source      = pycrc.xml
targets		= $(source:.xml=.html) $(source:.xml=.1)

all: $(targets)

.PHONY: clean
clean:
	$(RM) $(targets)

.PHONY: check
check:
	xmllint --valid --noout $(source)

%.html: %.xml
	$(XSLTPROC) $(XSLTPARAM) -o $@ $(HTML_STYLESHEET) $<

%.1: %.xml
	$(XSLTPROC) $(XSLTPARAM) -o $@ $(MAN_STYLESHEET) $<

%.txt: %.html
	links -dump -no-numbering -no-references $< > $@

## node-crc 3.0.0

=== debian/changelog ===
node-crc (3.0.0-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: use secure VCS-URLs
  * adapt patch 0000-fix-tests.patch for coffeescript > 1.7
    (Closes: #787924)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 24 Feb	2016 18:04:02 +0100

node-crc (3.0.0-2) unstable; urgency=medium

  * Save/restore upstream files instead of moving location

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 12 Oct 2014 01:04:02 +0200

node-crc (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #764712)

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 11 Oct 2014 23:55:50 +0200

=== debian/control ===
Source: node-crc
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>
           , Thorsten Alteholz <debian@alteholz.de>
Build-Depends:
 debhelper (>= 8)
 , dh-buildinfo
 , nodejs
 , coffeescript
 , mocha
 , node-should
Standards-Version: 3.9.6
Homepage: https://github.com/alexgorbatchev/node-crc
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-crc.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-crc.git

Package: node-crc
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: module for calculating Cyclic Redundancy Check (CRC)
 This package provides a pure JavaScript implementation, with no dependencies,
 to calculate CRC, the following algorithms are supported:
  * CRC1
  * CRC8
  * CRC8 1-Wire
  * CRC16
  * CRC16 CCITT
  * CRC16 Modbus
  * CRC24
  * CRC32
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_clean
	if [ -d lib.orig ]; then mv lib.orig/* lib/; rm -rf lib.orig; fi

override_dh_auto_build:
	if [ ! -d lib.org ]; then mv lib lib.orig; fi
	coffee --bare --output ./lib --compile ./src/*.coffee

override_dh_auto_test:
	mocha -C test/*.spec.coffee

=== debian/tests/control ===
Tests: require
Depends: node-crc

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-crc-$1.tar.gz/ \
 https://github.com/alexgorbatchev/node-crc/tags .*/archive/v?([\d\.]+).tar.gz

## node-crc 3.8.0%2Bds%2B~3.4.0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	babeljs-7 --out-dir ./lib/es6 *.js
	cd commonjs && babeljs --out-dir ../lib *.js

## node-crc 3.8.0+ds

=== debian/changelog ===
node-crc (3.8.0+ds-1ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Apr 2020 18:58:14 +0200

node-crc (3.8.0+ds-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Bump debhelper compatibility level to 12
  * Update VCS fields to salsa
  * require node-regenerator-transform ≥ 0.14.1-3~ (Closes: #952346)
  * New upstream version
  * Fix installed files (add debian/nodejs/files)
  * Patch test for autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Tue, 25 Feb 2020 06:27:03 +0100

=== debian/control ===
Source: node-crc
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
           Thorsten Alteholz <debian@alteholz.de>
Build-Depends: coffeescript
 , debhelper-compat (= 12)
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-should
 , node-babel-cli
 , node-babel-preset-es2015
 , node-babel-plugin-transform-runtime <!nocheck>
 , node-regenerator-transform (>= 0.14.1-3~) <!nocheck>
 , python2 <!nocheck>
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-crc
Vcs-Git: https://salsa.debian.org/js-team/node-crc.git
Homepage: https://github.com/alexgorbatchev/node-crc
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-crc
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: module for calculating Cyclic Redundancy Check (CRC)
 This package provides a pure JavaScript implementation, with no dependencies,
 to calculate CRC, the following algorithms are supported:
  * CRC1
  * CRC8
  * CRC8 1-Wire
  * CRC16
  * CRC16 CCITT
  * CRC16 Modbus
  * CRC24
  * CRC32
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with nodejs
 
 override_dh_auto_build:
-	babeljs-7 --out-dir ./lib/es6 *.js
+	babeljs --out-dir ./lib/es6 *.js
 	cd commonjs && babeljs --out-dir ../lib *.js

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-crc-$1.tar.gz/ \
 https://github.com/alexgorbatchev/node-crc/tags .*/archive/v?([\d\.]+).tar.gz

## node-crc 3.8.0+ds+~3.4.0

=== debian/changelog ===
node-crc (3.8.0+ds+~3.4.0-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 13
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs
  * Uploaders: replace Leo Iannacone by myself, thanks for your work!
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Drop dependency to nodejs
  * Embed typescript definitions and repack

 -- Yadd <yadd@debian.org>  Fri, 19 Nov 2021 22:39:26 +0100

node-crc (3.8.0+ds-3) unstable; urgency=medium

  * Team upload
  * Replace python by python3 (Closes: #967183, #953219)

 -- Xavier Guimard <yadd@debian.org>  Sun, 09 Aug 2020 07:52:06 +0200

node-crc (3.8.0+ds-2) unstable; urgency=medium

  * Team upload
  * Update build and test to use babel7

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 May 2020 14:35:22 +0200

=== debian/control ===
Source: node-crc
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: chai <!nocheck>
 , coffeescript
 , debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-babel7 (>= 7.4.5+~cs6.2.2-1~)
 , node-regenerator-transform (>= 0.14.1-3~) <!nocheck>
 , node-should
 , python3 <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-crc
Vcs-Git: https://salsa.debian.org/js-team/node-crc.git
Homepage: https://github.com/alexgorbatchev/node-crc
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-crc
Architecture: all
Depends: ${misc:Depends}
Provides: ${nodejs:Provides}
Description: module for calculating Cyclic Redundancy Check (CRC)
 This package provides a pure JavaScript implementation, with no dependencies,
 to calculate CRC, the following algorithms are supported:
  * CRC1
  * CRC8
  * CRC8 1-Wire
  * CRC16
  * CRC16 CCITT
  * CRC16 Modbus
  * CRC24
  * CRC32
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-crc-$1/ \
 https://github.com/alexgorbatchev/node-crc/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-crc,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-crc-$1/" \
 https://registry.npmjs.org/@types/crc https://registry.npmjs.org/@types/crc/-/crc-([\d\.]+)@ARCHIVE_EXT@ group

## node-crc 4.1.1

=== debian/changelog ===
node-crc (4.1.1-2) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Tue, 12 Apr 2022 18:27:10 +0200

node-crc (4.1.1-1) experimental; urgency=medium

  * Drop component types-crc
  * New upstream version 4.1.1
  * Drop all patches
  * Build with typescript
  * Update test

 -- Yadd <yadd@debian.org>  Sun, 10 Apr 2022 08:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Yadd <yadd@debian.org>, Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: chai <!nocheck>
- , coffeescript
- , debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
+ , chai <!nocheck>
  , mocha <!nocheck>
- , node-babel7 (>= 7.4.5+~cs6.2.2-1~)
- , node-regenerator-transform (>= 0.14.1-3~) <!nocheck>
- , node-should
+ , node-typescript
  , python3 <!nocheck>
+ , ts-node <!nocheck>
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-crc
 Vcs-Git: https://salsa.debian.org/js-team/node-crc.git

## node-crc 4.3.2

=== debian/changelog ===
node-crc (4.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.3.2

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Fri, 06 Oct 2023 20:09:29 +0000

node-crc (4.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-crc: Add Multi-Arch: foreign.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 15:23:06 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  , node-typescript
  , python3 <!nocheck>
  , ts-node <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-crc
 Vcs-Git: https://salsa.debian.org/js-team/node-crc.git
 Homepage: https://github.com/alexgorbatchev/node-crc
@@ -21,6 +21,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Provides: ${nodejs:Provides}
+Multi-Arch: foreign
 Description: module for calculating Cyclic Redundancy Check (CRC)
  This package provides a pure JavaScript implementation, with no dependencies,
  to calculate CRC, the following algorithms are supported:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	sh -ex ./scripts/build
	echo dist > debian/nodejs/main

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-crc-$1/ \
 https://github.com/alexgorbatchev/node-crc/tags .*/archive/.*/v?([\d\.]+).tar.gz
